# $Revision: 1.5.2.2 $, $Date: 2003/04/28 12:51:52 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Pod
%define		pnam	Coverage
Summary:	Pod::Coverage - Checks if the documentation of a module is comprehensive
Summary(pl):	Pod::Coverage - sprawdzanie kompletnoci dokumentacji moduu
Name:		perl-Pod-Coverage
Version:	0.11
Release:	4
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-Devel-Symdump >= 2.01
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a mechanism for determining if the pod for a
given module is comprehensive. It expects to find either a =head(n>1)
or an =item block documenting a subroutine.

%description -l pl
Ten modu udostpnia mechamizm do okrelania, czy dokumentacja pod dla
danego moduu jest kompletna. Oczekuje bloku =head(n>1) lub =item
opisujcego funkcj.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_sitearch}/Pod
%{perl_sitearch}/Pod/*.pm
%{perl_sitearch}/Pod/Coverage
%dir %{perl_sitearch}/auto/Pod
%dir %{perl_sitearch}/auto/Pod/Coverage
%{perl_sitearch}/auto/Pod/Coverage/*.bs
%attr(755,root,root) %{perl_sitearch}/auto/Pod/Coverage/*.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Pod-Coverage.spec,v $
Revision 1.5.2.2  2003/04/28 12:51:52  ankry
- really rel++

Revision 1.5.2.1  2003/03/13 00:58:30  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/25 00:41:04  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:37:42  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/16 08:26:30  ankry
- added missing dirs
- release 3

Revision 1.2  2002/08/31 12:20:42  qboosh
- it can't be noarch!!!
- pl description, release 2

Revision 1.1  2002/08/25 15:18:42  radek
- new, STBR
